image: cirrusci/flutter:v1.9.1-hotfix.6-web

stages:
  - lint
  - test
  - build

.job_template:
  tags:
    - docker

lint:flutter:
  extends: .job_template
  stage: lint
  script:
    - flutter format . --set-exit-if-changed
    - flutter analyze

test:flutter:
  extends: .job_template
  stage: test
  script:
    - flutter pub pub get
    - flutter test